APIV1
Create a Customer
AuthorizationBearer <token>
Merchant JWT bearer token
In: header
Scope: customers.create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/customers" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string" }'{
"merchantId": "string",
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "test@example.com",
"phoneNumber": "string",
"avatarUrl": "https://www.randomurl.com",
"address": {
"addressLines": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string"
},
"name": "string",
"city": "string",
"country": "AF",
"postalCode": "string",
"organization": "string",
"sublocality": "string"
},
"language": "aa",
"referenceId": "string",
"metaData": {
"property1": "string",
"property2": "string"
},
"createdAt": "2019-08-24T14:15:22Z"
}{
"http_status_code": 100,
"moreInfo": "https://www.randomurl.com",
"name": "string",
"detail": "string",
"instance": "/pets/dogs/123",
"property1": null,
"property2": null
}